Name:		logrotate
Version:	3.17.0
%define subrel 2
Release:	%mkrel 3
Summary:	Rotates, compresses, removes and mails system log files
License:	GPLv2
Group:		File tools
URL:		https://github.com/logrotate/logrotate
Source0:	https://github.com/logrotate/logrotate/releases/download/%{version}/logrotate-%{version}.tar.xz
Source1:	logrotate.conf
Source2:	logrotate.cron
Patch0:		CVE-2022-1348-1.patch
Patch1:		CVE-2022-1348-2.patch
Patch2:		427.patch
Patch3:		431.patch
BuildRequires:	pkgconfig(popt)
BuildRequires:	acl-devel
BuildRequires:	acl
Requires(post):	coreutils

%description
The logrotate utility is designed to simplify the administration of
log files on a system which generates a lot of log files.  Logrotate
allows for the automatic rotation compression, removal and mailing of
log files.  Logrotate can be set to handle a log file daily, weekly,
monthly or when the log file gets to a certain size.  Normally,
logrotate runs as a daily cron job.

Install the logrotate package if you need a utility to deal with the
log files on your system.

%prep
%setup -q
%autopatch -p1

%build
autoreconf -fi
%configure
%make_build

%install
%make_install

%{__mkdir_p} %{buildroot}%{_sysconfdir}
install -m 644 %{SOURCE1} %{buildroot}%{_sysconfdir}/%{name}.conf

%{__mkdir_p} %{buildroot}%{_sysconfdir}/cron.daily
%{__install} -m 0755 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.daily/%{name}

install -d -m 755 %{buildroot}%{_sysconfdir}/%{name}.d

%check
%make_build check

%post
if [ $1 = 1 ]; then
    # installation
    /bin/touch %{_var}/lib/%{name}.status
fi

%files
%doc ChangeLog.md COPYING examples README*
%config(noreplace) %{_sysconfdir}/%{name}.conf
%{_sysconfdir}/cron.daily/%{name}
%{_sysconfdir}/%{name}.d
%{_sbindir}/%{name}
%{_mandir}/man8/%{name}.8*
%{_mandir}/man5/%{name}.conf.5*


%changelog
* Mon Jul 18 2022 ns80 <ns80> 3.17.0-3.2.mga8
+ Revision: 1869292
- backport upstream patches for bsc#1192449 (mga#30638)
- backport patches from Ubuntu for CVE-2022-1348 (mga#30473)

* Fri Dec 25 2020 tmb <tmb> 3.17.0-3.mga8
+ Revision: 1663704
- disable SELinux again

* Fri Dec 25 2020 oden <oden> 3.17.0-2.mga8
+ Revision: 1663699
- enable SELinux

* Thu Sep 17 2020 guillomovitch <guillomovitch> 3.17.0-1.mga8
+ Revision: 1627451
- new version 3.17.0

* Sun Jun 28 2020 joequant <joequant> 3.16.0-1.mga8
+ Revision: 1599898
- sync source
- update to 3.16.0 / fix gcc10 build

* Sun Feb 16 2020 umeabot <umeabot> 3.15.1-2.mga8
+ Revision: 1534992
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Oct 08 2019 daviddavid <daviddavid> 3.15.1-1.mga8
+ Revision: 1450504
- new version: 3.15.1

* Sat Dec 29 2018 luigiwalser <luigiwalser> 3.15.0-1.mga7
+ Revision: 1346292
- 3.15.0

* Sun Sep 23 2018 umeabot <umeabot> 3.14.0-2.mga7
+ Revision: 1299343
- Mageia 7 Mass Rebuild

* Wed Apr 04 2018 kekepower <kekepower> 3.14.0-1.mga7
+ Revision: 1215157
- Update to version 3.14.0

* Tue May 23 2017 luigiwalser <luigiwalser> 3.12.2-1.mga6
+ Revision: 1104164
- 3.12.2

* Sat Apr 29 2017 luigiwalser <luigiwalser> 3.12.1-1.mga6
+ Revision: 1097990
- 3.12.1

* Sun Jan 01 2017 luigiwalser <luigiwalser> 3.11.0-1.mga6
+ Revision: 1078983
- 3.11.0

* Thu Aug 11 2016 luigiwalser <luigiwalser> 3.10.0-1.mga6
+ Revision: 1045516
- 3.10.0
- update URLs

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.9.2-1.mga6
+ Revision: 927219
- use configure2_5x
- 3.9.2

* Fri Dec 25 2015 luigiwalser <luigiwalser> 3.9.1-1.mga6
+ Revision: 914492
- 3.9.1

* Fri Aug 21 2015 tmb <tmb> 3.8.7-5.mga6
+ Revision: 867780
- rebuild for new gcc

* Wed Oct 15 2014 umeabot <umeabot> 3.8.7-4.mga5
+ Revision: 746256
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.8.7-3.mga5
+ Revision: 681990
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 3.8.7-2.mga4
+ Revision: 541348
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 dams <dams> 3.8.7-1.mga4
+ Revision: 495638
- new version 3.8.7

* Thu Aug 01 2013 dams <dams> 3.8.6-1.mga4
+ Revision: 462457
- new version 3.8.6

* Wed Jun 12 2013 dams <dams> 3.8.5-1.mga4
+ Revision: 442066
- new version 3.8.5

* Thu May 23 2013 dams <dams> 3.8.4-1.mga4
+ Revision: 425084
- new version 3.8.4

* Sat Jan 12 2013 umeabot <umeabot> 3.8.3-2.mga3
+ Revision: 358939
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 19 2012 luigiwalser <luigiwalser> 3.8.3-1.mga3
+ Revision: 308296
- 3.8.3

* Sat Aug 04 2012 luigiwalser <luigiwalser> 3.8.2-1.mga3
+ Revision: 278500
- 3.8.2

* Thu Oct 06 2011 shlomif <shlomif> 3.8.1-1.mga2
+ Revision: 152482
- New version by barjac

* Mon Jul 04 2011 ahmad <ahmad> 3.8.0-1.mga2
+ Revision: 117993
- Update to 3.8.0, fixes:
   CVE-2011-1098
   CVE-2011-1154
   CVE-2011-1155
- Drop patch0, fixed upstream
- Add BR acl-devel and compile with WITH_ACL
- Put 'make test' in a %%check section

* Tue Mar 15 2011 misc <misc> 3.7.9-3.mga1
+ Revision: 71525
- remove old Conflicts
- add requires on coreutils, seen by jbj buildbot
- fix License
+ tmb <tmb>
- imported package logrotate


* Fri Jan  7 2011 Thomas Backlund <tmb@mageia.org> 3.7.9-2.mga1
- initial import
- drop rpm tags
- rename Mandriva to Mageia

* Sat Aug 14 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.9-1mdv2011.0
+ Revision: 569590
- new version

  + Ahmad Samir <ahmadsamir@mandriva.org>
    - revert last commit, such changes must be discussed with the maintainer first
      and should never happen so late in the release cycle

* Wed Jun 09 2010 Raphaël Gertz <rapsys@mandriva.org> 3.7.8-5mdv2010.1
+ Revision: 547299
- Add ccp config merge

* Mon Apr 12 2010 Eugeni Dodonov <eugeni@mandriva.com> 3.7.8-4mdv2010.1
+ Revision: 533703
- Do not create initial files as root (#57807).

* Mon Mar 15 2010 Oden Eriksson <oeriksson@mandriva.com> 3.7.8-3mdv2010.1
+ Revision: 520147
- rebuilt for 2010.1

  + Eugeni Dodonov <eugeni@mandriva.com>
    - Improve initial config according to #57807.

* Wed Sep 02 2009 Christophe Fergeau <cfergeau@mandriva.com> 3.7.8-2mdv2010.0
+ Revision: 426003
- rebuild

* Sat Mar 14 2009 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.8-1mdv2009.1
+ Revision: 354879
- new version

* Fri Dec 19 2008 Oden Eriksson <oeriksson@mandriva.com> 3.7.7-1mdv2009.1
+ Revision: 316246
- 3.7.7 (fedora sync)
- use LDFLAGS from the %%configure macro

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 3.7.5-9mdv2009.0
+ Revision: 223126
- rebuild

* Mon Mar 24 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.5-8mdv2008.1
+ Revision: 189740
- more verbose error message in logs (fix #36904)

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 3.7.5-7mdv2008.1
+ Revision: 152866
- rebuild
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 19 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.5-5mdv2008.0
+ Revision: 53701
- don't rotate lastlog (fix #15160)

* Thu Jun 28 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.5-4mdv2008.0
+ Revision: 45557
- minor spec and config file edits for consistency with sysklogd
- bump conflict on sysklogd to help upgrade

* Mon Jun 18 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.7.5-3mdv2008.0
+ Revision: 40897
- don't ship data file, but create it with empty content on %%post
- spec cleanup
- don't ship syslog logrotate configuration


* Sat Mar 31 2007 Gustavo De Nardin <gustavodn@mandriva.com> 3.7.5-2mdv2007.1
+ Revision: 150121
- added patch logrotate-stop_on_script_errors.patch: makes logrotate stop
  processing logs when scripts exit with error, fixes #29979
- added patch logrotate-run_scripts_with_arg0.patch: runs scripts passing a simple
  fixed $0 for error messages and such

* Thu Mar 08 2007 David Walluck <walluck@mandriva.org> 3.7.5-1mdv2007.1
+ Revision: 134942
- 3.7.5

  + Warly <warly@mandriva.com>
    - fix permission on /etc/logrotate.d/syslog
    - uncompresse extra sources; fix bug 12557

* Mon Nov 20 2006 Oden Eriksson <oeriksson@mandriva.com> 3.7.3-4mdv2007.1
+ Revision: 85708
- Import logrotate

* Tue May 23 2006 Pixel <pixel@mandriva.com> 3.7.3-4mdk
- use the proper package name for the conflict on sysklogd

* Mon Jan 30 2006 Michael Scherer <misc@mandriva.org> 3.7.3-3mdk
- use the proper version for the conflict, thanks blino for spotting this

* Fri Jan 27 2006 Michael Scherer <misc@mandriva.org> 3.7.3-2mdk
- add a syslog logrotate config files, to close #20745

* Thu Dec 29 2005 Oden Eriksson <oeriksson@mandriva.com> 3.7.3-1mdk
- sync with fedora (3.7.3-2.1)
- spec file massage
- drop upstream patches, reorder patches, rediff P0
- run the test suite

* Mon Mar 14 2005 Frederic Lepied <flepied@mandrakesoft.com> 3.7.1-2mdk
- sync with 3.7.1-7
- fix snort log rotating problem (bug #13731)

* Fri Dec 03 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 3.7.1-1mdk
- 3.7.1

* Thu May 13 2004 Michael Scherer <misc@mandrake.org> 3.7-1mdk
- New release 3.7

